function open_all()
  enable_buy_vegetation_action("fialka_1; fialka_2_1; fialka_3_1; orhideya_1; orhideya_2_1; orhideya_3_1; lotos_1; lotos_2_1; lotos_3_1; muholovka_1; muholovka_2; muholovka_3", g_game)

  reset_mark_action("cant_buy_water",g_game) 
  reset_mark_action("cant_sell_items",g_game)
  set_mark_action("shop_dropped_bug_items",g_game)
  set_mark_action("timed_bouquet_enabled",g_game)
  set_mark_action("shop_ridges",g_game)
  set_mark_action("shop_vegetation",g_game)

  set_mark_action("product_storage_1",g_game)
  set_mark_action("product_storage_2",g_game)
  set_mark_action("product_storage_3",g_game)
  set_mark_action("product_storage_4",g_game)
  
  set_mark_action("water_storage_1",g_game)
  set_mark_action("water_storage_2",g_game)
  set_mark_action("water_storage_3",g_game)
  set_mark_action("water_storage_4",g_game)

  set_mark_action("well_1",g_game)
  set_mark_action("well_2",g_game)
  set_mark_action("well_3",g_game)
  set_mark_action("well_4",g_game)

  set_mark_action("tree_decoration_by_quest",g_game)

  add_items_action("money", 100000, g_game)

  enable_farm_action("location_1;location_2", g_game)
  enable_town_action("location_1;location_2", g_game)
  enable_helper_action(g_game)
  enable_buy_water_action(true, g_game)
  set_bouquets_count_action("location_1", 4, g_game)
  print("open_all() done")
end